#
# spec file for package mtx
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mtx
BuildRequires:  automake
Summary:        A Program for Controlling the Robotic Mechanism in DDS Auto Loaders
License:        GPL-2.0+
Group:          Hardware/Other
Version:        1.3.12
Release:        27.1
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-1.3.12-param_h.patch
Patch2:         %{name}-1.3.12-autoconf.patch
Patch3:         mtx-1.3.11-large-slots.patch
Url:            http://mtx.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A program for controlling the robotic mechanism in DDS auto loaders.



Authors:
--------
    Leonard N. Zubkoff <lnz@dandelion.com>

%prep
%setup
%patch
%patch2
%patch3

%build
%{?suse_update_config:%{suse_update_config -f}}
autoreconf -f -i
%configure
make

%install
make sbindir=$RPM_BUILD_ROOT/usr/sbin \
     mandir=$RPM_BUILD_ROOT/usr/share/man install

%files
%defattr(-,root,root)
%doc README TODO LICENSE CHANGES FAQ mtx.doc
/usr/sbin/*
/usr/share/man/man1/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Apr  9 2014 jmatejek@suse.com
- mtx-1.3.11-large-slots.patch: fix problem with large number of
  slots in a virtual tape library (bnc#857901, forward from SLE11)
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Thu Jan 15 2009 mseben@suse.cz
- updated to 1.3.12:
  * Incorporate debian packaging
  * Remove strip of binaries
  * Remove unsupported nsmhack from list of binaries built by default
  * Add support for building outside of source tree
  * Update copyrights
  * Fix typo in mtx.1 man page
  * Clear outstanding UNIT ATTENTION state at start
* Fri Nov 14 2008 nadvornik@suse.cz
- fixed build on s390x
* Tue Jan 22 2008 nadvornik@suse.cz
- updated to 1.3.11:
  * scsieject: New tool that handles start/stop, load/unload
  * support for Sony VGP-XL1B(2) Media Changer
  * many bugfixes
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 schwab@suse.de
- Don't strip binaries.
* Wed Feb 25 2004 hmacht@suse.de
- building as non-root
* Tue Jul 29 2003 tcrhak@suse.cz
- update to version 1.2.18rel
* Thu Feb 13 2003 tcrhak@suse.cz
- include sys/param.h into scsi_linux.c in order to achieve
  correct timeouts [bug #23496]
* Tue Jan 14 2003 tcrhak@suse.cz
- update to version 1.2.17rel
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Fri Dec 14 2001 tcrhak@suse.cz
- update to 1.2.15
* Wed Aug 22 2001 dan@suse.cz
- update to 1.2.13
- install man pages
* Fri Apr  6 2001 kukuk@suse.de
- Fix group tag
* Mon May 22 2000 cihlar@suse.cz
- Group sorted
- Added buildroot
* Fri Dec  3 1999 kukuk@suse.de
- Set CFLAGS to RPM_OPT_FLAGS
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Sep 10 1999 uli@suse.de
- fixed Makefile for PPC
* Mon May  3 1999 ro@suse.de
- mo m486 on alpha
* Tue Mar 23 1999 choeger@suse.de
- first package, 1.1
